# List all resource types Retrieves all Resource Types managed by OneId. Resource Types define the resource name, endpoint URL, schemas, and other metadata that indicate where a resource is managed and how it is composed, e.g., "User" or "Group". Endpoint: GET /scim/v2/ResourceTypes Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. ## Response 200 fields (application/json): - `schemas` (array) List of schema identifiers that define the structure of the response. - `totalResults` (integer) Total number of resource types available. - `resources` (array) List of resource types available. - `resources.schemas` (array) List of schema identifiers that define the structure of the resource type. - `resources.id` (string) Unique identifier of the resource type. - `resources.name` (string) Name of the resource type. - `resources.description` (string) Detailed description of the resource type. - `resources.endpoint` (string) API endpoint for accessing the resource type. - `resources.schema` (string) Schema identifier defining the structure of the resource type. - `resources.schemaExtensions` (array) List of schema extensions applied to the resource type. - `resources.schemaExtensions.schema` (string) Schema identifier for the extension. - `resources.schemaExtensions.required` (boolean) Indicates if the schema extension is required. - `resources.meta` (object) Metadata about the resource type. - `resources.meta.resourceType` (string) Type of the resource, which is 'ResourceType' for this object. - `resources.meta.location` (string) URL where the resource type can be accessed. - `startIndex` (integer) Index of the first item in the current page of results. - `itemsPerPage` (integer) Number of items returned per page. ## Response 401 fields ## Response 403 fields ## Response 404 fields